Bug 36469 - Conflict between _header.scss and addbiblio.css tab style
Summary: Conflict between _header.scss and addbiblio.css tab style
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 35850
Blocks:
  Show dependency treegraph
 
Reported: 2024-04-01 09:09 UTC by Pedro Amorim
Modified: 2024-04-05 09:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes the display of the staff interface search bar. In some places, such as when adding a new record, extra padding was added.
Version(s) released in:
24.05.00


Attachments
Bug 36469: Fix conflict between _header.scss and addbiblio.css tab style (1.44 KB, patch)
2024-04-01 12:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 36469: Fix conflict between _header.scss and addbiblio.css tab style (1.49 KB, patch)
2024-04-02 05:29 UTC, David Nind
Details | Diff | Splinter Review
Bug 36469: Fix conflict between _header.scss and addbiblio.css tab style (1.55 KB, patch)
2024-04-02 11:11 UTC, Pedro Amorim
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro Amorim 2024-04-01 09:09:15 UTC
Something looks wrong with the top header search

I don't know if this url is reachable through UI
<staff_url>/cgi-bin/koha/tools/batchMod.pl?op=show&itemnumber=507&itemnumber=508&biblionumber=230&src=CATALOGUING
        
Examples found while testing bug 35044
<staff_url>/cgi-bin/koha/acqui/neworderempty.pl?booksellerid=1&basketno=1&biblionumber=76
<staff_url>/cgi-bin/koha/acqui/addorderiso2709.pl?booksellerid=1&basketno=1&biblionumber=76
Comment 1 Owen Leonard 2024-04-01 12:34:39 UTC Comment hidden (obsolete)
Comment 2 David Nind 2024-04-02 05:29:24 UTC
Created attachment 164232 [details] [review]
Bug 36469: Fix conflict between _header.scss and addbiblio.css tab style

addbiblio.css adds padding to tab panes specific for that interface, and
the header search form should not pick up that style. This patch adds
some specificity to _header.scss to avoid unwanted padding.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface).

- Go to Cataloging -> New record (using the basic MARC editor).
  - The style of the MARC edit form should look correct.
  - The header search form should look correct
- Test other pages with tabs to confirm that there are no other unwanted
  side-effects, e.g. Circulation -> Check out; Advanced catalog search;
  Bibliographic detail page.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Pedro Amorim 2024-04-02 09:59:22 UTC
Hey, I'm not 100% sure about this one.
I believe this was introduced by bug 35850. Before 35850, the top search header was:
<div id="header_search" role="tablist">

after bug 35850 is now

<div id="header_search" class="toptabs">

which is triggering the following CSS rule

.toptabs .tab-pane {
    padding: 1em;
}

Owen can you confirm if this is intentional? It feels unintentional and if that's the case, is adding more CSS the fix here?
Additionally, current master record cataloguing has a big search header as well:
http://localhost:8081/cgi-bin/koha/cataloguing/addbiblio.pl

Is this also intentional?
Comment 4 Owen Leonard 2024-04-02 10:40:45 UTC
(In reply to Pedro Amorim from comment #3)
> Hey, I'm not 100% sure about this one.
> I believe this was introduced by bug 35850.

Yes it was introduced by Bug 35850. In my tests the patch fixes the issue. Is it not working for you?
Comment 5 Pedro Amorim 2024-04-02 11:11:04 UTC
Created attachment 164253 [details] [review]
Bug 36469: Fix conflict between _header.scss and addbiblio.css tab style

addbiblio.css adds padding to tab panes specific for that interface, and
the header search form should not pick up that style. This patch adds
some specificity to _header.scss to avoid unwanted padding.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_interface).

- Go to Cataloging -> New record (using the basic MARC editor).
  - The style of the MARC edit form should look correct.
  - The header search form should look correct
- Test other pages with tabs to confirm that there are no other unwanted
  side-effects, e.g. Circulation -> Check out; Advanced catalog search;
  Bibliographic detail page.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Pedro Amorim <pedro.amorim@ptfs-europe.com>
Comment 6 Katrin Fischer 2024-04-05 09:53:19 UTC
Pushed for 24.05!

Well done everyone, thank you!